Frog (c) 1981.


- TECHNICAL -
Main CPU : Z80 (@ 3.072 Mhz)
Sound CPU : Z80 (@ 1.78975 Mhz)
Sound Chips : AY8910 (@ 1.78975 Mhz)
Screen orientation : Vertical
Video resolution : 224 x 256 pixels
Screen refresh : 60.61 Hz
Palette colors : 99
Players : 2
Control : 4-way joystick

- TRIVIA -
This bootleg of "Frogger" also exists on the "Galaxian" hardware.


- SCORING -
Forward Hop : 10 points (max points per home is 100).

Frog Safely Put in Home : 50 points.

Completing a Level : 1000 points.

Bringing a Frog to Your Home : 200 points.

Eating a Fly : 200 points.

You also get a time bonus of 10 x the remaining seconds added to your
score.

